Bug 1280357 - include ACFS filesystem number in coreutils (0x61636673)
Summary: include ACFS filesystem number in coreutils (0x61636673)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: coreutils
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: Jakub Prokes
Petr Bokoc
URL:
Whiteboard:
Keywords:
Depends On: 1280333
Blocks: 1203710 1313485 1289025 1295829
TreeView+ depends on / blocked
 
Reported: 2015-11-11 14:37 UTC by Ondrej Vasik
Modified: 2016-11-04 07:39 UTC (History)
5 users (show)

(edit)
The Oracle ACFS is now included among known file systems

Previously, the Oracle ASM Cluster file system (ACFS) was not listed among known file systems for the *stat* and *tail* utilities. As a consequence, the *tail* utility printed an error message stating that the file system was not recognized. ACFS has been added to the list of known file systems, and the error message no longer appears in the described situation.

In addition, other file systems recognized by upstream have been added to the list of known file systems as well, namely *bpf_fs*, *btrfs_test*, *configfs*, *hfs+*, *hfsx*, *ibrix*, *logfs*, *m1fs*, *nsfs*, *overlayfs*, *prl_fs*, and *tracefs*.
Clone Of: 1280333
(edit)
Last Closed: 2016-11-04 07:39:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2497 normal SHIPPED_LIVE coreutils bug fix update 2016-11-03 14:11:50 UTC

Description Ondrej Vasik 2015-11-11 14:37:07 UTC
+++ This bug was initially created as a clone of Bug #1280333 +++

Description of problem:

the filesystem number from ACFS (0x61636673) is not listed in coreutils on RHEL6

Version-Release number of selected component (if applicable):

coreutils 

How reproducible:

run e.g. tail on a file residing on ACFS

Steps to Reproduce:
1. # tail -f test.log

Actual results:

hoge
fuga
tail: unrecognized file system type 0x61636673 for `test.log'. Reverting to 
polling.

Expected results:

known filesystem type

Comment 2 Ondrej Vasik 2015-11-11 15:13:16 UTC
As an upstream report reference - debbugs.gnu.org/cgi/bugreport.cgi?bug=21876 ... with http://debbugs.gnu.org/cgi/bugreport.cgi?msg=10;filename=stat-new-fs-types.patch;att=1;bug=21876 as a patch by Pádraig Brady. Thanks Pádraig.

Comment 12 errata-xmlrpc 2016-11-04 07:39:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2497.html


Note You need to log in before you can comment on or make changes to this bug.